/*Color Palette 1 - Vibrant and Playful */

/*Primary Color: #C00080  for primary buttons and highlights
Secondary Color: #984C7F for secondary buttons and sections headers
Neutral Color: #F4F4F4  for backgrounds and containers
Accent Color: #CD2394 for call-to-action buttons and important highlightsn */

/* Universal Styles */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    width: 100%;
    height: 100%;
    font-family: 'Arial', sans-serif;
    font-size: 18px;
}

a {
    color: #984C7F;

}

p {
    line-height: 1.5rem;
}

cite {
    font-weight: bold;
}

h2, h3, h4 {
    color: #984C7F;
}

.primary-button,
.secondary-button {
    font-weight: bold;
    color: white;
    padding: 0.7rem;
    max-width: fit-content;
    border-radius: 25px;
    border: none;
}

.primary-button {
    background-color: #CD2394;
    
}

.secondary-button {
    background-color: #554750;
}

/* Header Styles */

header {
    background-color: #503547;
    width: 100%;
    min-height: 5rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 1.5rem;
    padding: 1.5rem 2rem;
    flex-wrap: wrap;
}

.nav-links {
    list-style: none;
    display: flex;
    gap: 1rem;
    flex-wrap: wrap;
}

.nav-links a {
    color: white;
    font-size: 1.2rem;
    font-weight: bold;
}

@media (max-width: 415px) {
  .nav-links {
    flex-direction: column;
    align-items: center;
    gap: 1.5rem;
  }
header {
    justify-content: center;
}
    
}

header h1 {
    color: white;
    font-size: 2.5rem;
    flex-grow: 2;
    font-size: clamp(2rem, 6vw, 3rem);
}

/*Hero Section Styles */

.hero {
    display: flex;
    gap: 2rem;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap-reverse;
    margin: 1rem;
}

.hero-right {
    flex-grow: 1;
    min-width: 300px;
}

.hero img {
    width: 100%;
    height: auto;
    border-radius: 10px;
}

.hero-left {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    gap: 1rem;
    text-align: center;
}

.hero-left a {
    margin-top: 3rem;
    align-self: center;
}
/* Services Section Styles */

.services {
    width: 100%;
    background-color: #F4F4F4;
    padding: 2rem 0;
    margin-top: 2rem;
    text-align: center;
}

.services-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));;
    grid-template-rows: 1fr;
    align-items: center;
    text-align: center;
    gap: 1.5rem;
    padding-top: 2rem;
}

.service-item h4 {
    margin-bottom: 0.5rem;
}

.service-item img {
    max-width: 25%;
    height: auto;
    border-radius: 10px;
    padding-bottom: 2rem;;
}

@media (max-width: 700px) {
  .services-grid {
    grid-template-columns: 1fr;
    grid-template-rows: repeat(4, auto);
    gap: 4rem;
    padding: 2rem;
  }
}

/* Pricing Section Styles */
.prices {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

/* Testimonials aka left Section Styles */

.testimonials-container h2 {
    margin-bottom: 2rem;
    align-self: center;
}
.testimonials-container {
    display: flex;
    flex-direction: column;
    width: 40%;
    padding: 2rem;
    gap: 2rem;
    margin-top: 4rem;
}

.testimonial img {
    max-width: 25%;
    height: auto;
    border-radius: 50%;
}

.testimonial {
    display: flex;
    align-items: center;
    gap: 2rem;
}
.testimonial blockquote {
    font-style: italic;
    flex-grow: 1;
    line-height: 1.5rem;
    margin-bottom: 2rem;
}

@media (max-width: 800px) {
  .testimonials-container {
    width: 100%;
    padding: 1rem;
    margin-top: 2rem;
  }
  .testimonial {
    flex-direction: column;
    text-align: center;
    
}
}

/* Right Section Styles */

.pricing-container {
    border-radius: 10px;
    padding: 2rem;
    margin: 1rem;
    width: 50%;
}

.price-grid {
    display: grid;
    grid-template-columns: repeat(3, 33%);
    gap: 2rem;
    margin: 2rem;
    text-align: center;
    justify-content: center;
}

.price-card {
    border: 2px solid rgba(255, 182, 193, 0.551);
    border-radius: 10px;
    padding: 1rem;
    display: flex;
    flex-grow: 2;
    flex-direction: column;
    gap: 1rem;
    align-items: center;
    justify-content: space-between;
}

@media (max-width: 1100px) {
        .pricing-container {
        max-width: 60%;
        margin: 0;
        padding: 1rem;
        text-align: center;
        }
        .price-grid {
        grid-template-columns: minmax(200px, 230px);
        gap: 4rem;
        margin: 0;
        padding-top: 3rem;
        }
    }

    /* Footer Styles */

footer {
    width: 100%;
    background-color: #503547;
}
.footer-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    padding: 3rem;
    align-items: center;
    justify-content: center;
}

/* Newsletter Styles */

.newsletter {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.newsletter input {
    padding: 0.7rem;
    border-radius: 25px;
    border: none;
    width: 70%;
    margin-right: 1rem;

}

.newsletter h3 {
    color: white;
}

/* Footer Links Styles */

.social-links {
    list-style: none;
    display: flex;
    gap: 1rem;
}
.social-links a {
    color: white;
    font-size: 1.5rem;
}

/* Copyright Styles */

footer p {
    color: lightgray;
    margin: 2rem;
    font-size: 0.9rem;
    text-align: center;
}

@media (max-width: 700px) {
  .footer-grid {
    grid-template-columns: 1fr;
    gap: 2rem;
    text-align: center;
  }
  .newsletter input {
    width: 100%;
    margin: 1rem auto;
  }
  .social-links {
    justify-content: center;
  }
}